import { createFileRoute, redirect } from "@tanstack/react-router";
import { checkUserAccess } from "@/lib/authClient";
import Comment from "../../../-components/logistics/siloAdjustments/Comment";

export const Route = createFileRoute(
	"/_old/old/(logistics)/siloAdjustments/comment/$comment",
)({
	beforeLoad: async () => {
		const auth = await checkUserAccess({
			allowedRoles: [
				"systemAdmin",
				"technician",
				"admin",
				"manager",
				"supervisor",
			],
			moduleName: "siloAdjustments", // optional
		});

		if (!auth) {
			throw redirect({
				to: "/login",
				search: {
					// Use the current location to power a redirect after login
					// (Do not use `router.state.resolvedLocation` as it can
					// potentially lag behind the actual current location)
					redirect: location.pathname + location.search,
				},
			});
		}
	},
	// In a loader
	loader: ({ params }) => params.comment,
	// Or in a component
	component: RouteComponent,
});

function RouteComponent() {
	const { comment } = Route.useParams();
	return (
		<div className="ml-20 mt-20">
			<Comment id={comment} />
		</div>
	);
}
